diff --git a/ref/poly.c b/ref/poly.c
index a6ba074..e7e8fd2 100644
--- a/ref/poly.c
+++ b/ref/poly.c
@@ -5,6 +5,7 @@
 #include "reduce.h"
 #include "rounding.h"
 #include "symmetric.h"
+#include "randombytes.h"
 
 #ifdef DBENCH
 #include "test/cpucycles.h"
@@ -469,10 +470,10 @@ void poly_uniform_gamma1(poly *a,
                          uint16_t nonce)
 {
   uint8_t buf[POLY_UNIFORM_GAMMA1_NBLOCKS*STREAM256_BLOCKBYTES];
-  stream256_state state;
 
-  stream256_init(&state, seed, nonce);
-  stream256_squeezeblocks(buf, POLY_UNIFORM_GAMMA1_NBLOCKS, &state);
+  (void)seed; /* Suppress -Wunused-parameter */
+  (void)nonce; /* Suppress -Wunused-parameter */
+  randombytes(buf, POLY_UNIFORM_GAMMA1_NBLOCKS*STREAM256_BLOCKBYTES);
   polyz_unpack(a, buf);
 }
 
